Telegram APIPayments
payments.getStarsTopupOptions
Obtain a list of Telegram Stars topup options » as RawStarsTopupOption constructors.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Obtain a list of Telegram Stars topup options » as RawStarsTopupOption constructors.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getStarsTopupOptions" \ -H "Content-Type: application/json" \ -d '{ "params": {} }'{ "result": { "_": "starsTopupOption", "extended": true, "stars": "string", "storeProduct": "string", "currency": "string", "amount": "string" }}getStarsSubscriptions
Obtain a list of active, expired or cancelled [Telegram Star subscriptions »](https://core.telegram.org/api/invites#paid-invite-links).
getStarsTransactions
Fetch [Telegram Stars transactions](https://core.telegram.org/api/stars#balance-and-transaction-history). The inbound and outbound flags are mutually exclusive: if none of the two are set, both incoming and outgoing transactions are fetched.